For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a batch of requests
      • GETRetrieve a batch
      • GETRetrieve the results of a batch
      • GETList all batches
LogoLogo
Legacy DocsSign in
API ReferenceBatches

Retrieve the results of a batch

GET
https://api.ntropy.com/v3/batches/:id/results
GET
/v3/batches/:id/results
$curl https://api.ntropy.com/v3/batches/id/results \
> -H "X-Api-Key: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "id": "203613d2-83c8-4130-8809-d14206eeec20",
3 "total": 1,
4 "status": "completed",
5 "results": [
6 {
7 "created_at": "2024-01-15T09:30:00Z",
8 "id": "xbx8YP14g565Xk",
9 "entities": {
10 "counterparty": {
11 "type": "organization",
12 "id": "d4bc3c80-ec1a-3da2-836e-2a4ca4758be5",
13 "name": "Starbucks",
14 "website": "starbucks.com",
15 "phone_number": "+1 4153753176",
16 "tax_number": "80-0429876",
17 "naics2017": "541519",
18 "logo": "https://logos.ntropy.com/starbucks.com",
19 "mccs": [
20 5814
21 ]
22 },
23 "intermediaries": [
24 {
25 "id": "916bc837-55ef-3106-88f6-5a8269ca9f2a",
26 "name": "Square, Inc.",
27 "website": "squareup.com",
28 "phone_number": "+1 8557006000",
29 "tax_number": "12-3456789",
30 "naics2017": "522320",
31 "logo": "https://logos.ntropy.com/squareup.com",
32 "mccs": [
33 6012
34 ],
35 "parent": {
36 "id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
37 "name": "Block, Inc.",
38 "website": "block.xyz",
39 "phone_number": "+1 8885551234",
40 "tax_number": "98-7654321",
41 "naics2017": "521110"
42 }
43 }
44 ]
45 },
46 "categories": {
47 "general": "coffee shop"
48 },
49 "location": {
50 "raw_address": "10 Union Square E, New York, New York 10003, United States",
51 "structured": {
52 "street": "Union Square East",
53 "city": "New York",
54 "state": "New York",
55 "postcode": "10003",
56 "country_code": "US",
57 "country": "United States",
58 "house_number": "10",
59 "latitude": 40.734834,
60 "longitude": -73.989782,
61 "google_maps_url": "https://www.google.com/maps/search/?api=1&query=40.734834,-73.989782",
62 "apple_maps_url": "https://maps.apple.com/?q=40.734834,-73.989782"
63 }
64 },
65 "error": {
66 "code": "account_holder_not_found",
67 "message": "The account holder associated with this transaction could not be found."
68 }
69 }
70 ]
71}

Returns batch metadata along with a list containing the body of the responses of each request in the batch. The responses are returned in the same order they were submitted. The schema of each response body is given by the respective operation of the batch.

Results are available after the batch has finished processing.

Was this page helpful?
Previous

List all batches

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Path parameters

idstringRequired

Response

Returned batch of transaction enrichment results.
idstring
A unique identifier for the batch.
totalinteger
The total number of transactions in the batch result.
statusenum
The current status of the batch job.
Allowed values:
resultslist of objects

A list containing the body of the responses of each request in the batch. The responses are returned in the same order they were submitted. The format of each response is given by the respective batch operation.

Errors

404
Not Found Error
422
Unprocessable Entity Error